org.apache.jmeter.report.core

## Interface SamplePredicate

- All Known Implementing Classes:
    ControllerSamplePredicate

      public interface SamplePredicate

  The interface SamplePredicate represents a predicate to apply to a sample. It can be used in filtering decision.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(Sample sample)` Defines if the specified sample matches the current predicate.

- - ### Method Detail

    - #### matches

          boolean matches(Sample sample)

      Defines if the specified sample matches the current predicate.
      Parameters:
        `sample` - the sample to test (must not be `null`)
      Returns:
        `true`, if successful; otherwise `false`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.